package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.GradeRequestDto;
import com.ikon.projectmanagement.dto.response.GradeResponseDto;
import java.util.List;
import java.util.UUID;

public interface GradeService {
    
    /**
     * Retrieve all grades
     */
    List<GradeResponseDto> getAllGrades();

    /**
     * Retrieve grade by ID
     */
    GradeResponseDto getGradeById(UUID id);

    /**
     * Create a new grade
     */
    GradeResponseDto createGrade(GradeRequestDto dto);

    /**
     * Update an existing grade
     */
    GradeResponseDto updateGrade(UUID id, GradeRequestDto dto);

    /**
     * Delete a grade by ID
     */
    void deleteGrade(UUID id);
}
